Page MenuHomePhabricator

Communications plan for Electron -> Proton switchover
Closed, ResolvedPublic

Description

Let's plan what community outreach is needed for the switch. (Possibly none at all, given no user-facing changes are expected - in that case just make sure we agree on that.)

Event Timeline

Tgr created this task.Apr 10 2019, 7:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2019, 7:34 PM
Tgr added a subscriber: ovasileva.Apr 10 2019, 7:36 PM

@ovasileva since you are the product owner for PDF rendering (which is really what the communication would be about), any thoughts on this?

I'd probably put a note in Tech News, just so users know where to report in the unlikely case that this does have user-visible effects, and at that point we might want to make sure the roadmap wrt. PDF and book rendering is clear to users, as that has been a point of confusion in the past.

@ovasileva since you are the product owner for PDF rendering (which is really what the communication would be about), any thoughts on this?
I'd probably put a note in Tech News, just so users know where to report in the unlikely case that this does have user-visible effects, and at that point we might want to make sure the roadmap wrt. PDF and book rendering is clear to users, as that has been a point of confusion in the past.

@Tgr - @Johan and I have been working on communicating out on the project page (https://www.mediawiki.org/wiki/Reading/Web/PDF_Functionality). I think an update there + Tech News should be sufficient. Do we have a date yet for the switch? @Johan - any thoughts from your side around this?

Johan added a comment.Apr 11 2019, 2:38 PM

Yes, that makes sense to me. As soon as we have a date for the switch, we'll include it in Tech News and write an update on that page. That should be about the right level of community communication for this.

Tgr added a comment.Apr 11 2019, 11:59 PM

No date yet, some work is still pending. Probably about a month from now, unless someone has different plans.

Johan claimed this task.Apr 12 2019, 11:30 AM
Restricted Application added a project: User-Johan. · View Herald TranscriptApr 12 2019, 11:30 AM
LGoto triaged this task as Normal priority.Apr 24 2019, 3:48 PM
Johan moved this task from Backlog to Do later on the User-Johan board.May 17 2019, 2:24 PM
Johan closed this task as Resolved.Jun 12 2019, 2:51 PM
Johan moved this task from Do later to Archive on the User-Johan board.Jun 19 2019, 6:09 AM